GET
/v1/admin/webhooks/{id}/logs/{log_id}
Get Webhook Delivery Log Details
curl https://api.{cluster}.{platform}.voiger.io/v1/admin/webhooks/{id}/logs/{log_id} \
-H "Cookie: sid=$VOIGER_SESSION" \
-H "x-workspace-code: your-workspace-code"
const res = await fetch("https://api.{cluster}.{platform}.voiger.io/v1/admin/webhooks/{id}/logs/{log_id}", {
method: "GET",
credentials: "include",
headers: { "x-workspace-code": "your-workspace-code" },
})
const data = await res.json()
Parameters
x-workspace-code
string
required
in header
id
string
required
in path
Webhook ID
log_id
string
required
in path
Delivery Log ID
json · 200
{
"log": {
"id": "9a2f7c08-0112-4217-91de-50672e8fa440",
"resource_id": "f47ac10b-58cc-4372-a567-0e02b2c3d479",
"resource": "call",
"event": "finished",
"url": "https://example.com/webhooks",
"request_headers": {
"content-type": "application/json",
"user-agent": "voiger.io/v1",
"x-signature": "whsec_*"
},
"request_body": {
"resource": "call",
"event": "finished",
"resource_id": "f47ac10b-58cc-4372-a567-0e02b2c3d479",
"version": 1,
"data": {
"id": "f47ac10b-58cc-4372-a567-0e02b2c3d479",
"direction": "inbound"
}
},
"response_code": 200,
"response_headers": {
"server": "nginx",
"content-type": "application/json"
},
"response_body": {
"received": true
},
"status": "success",
"attempt": 1,
"error": null,
"timestamp": "2026-10-27T10:00:05Z",
"total_time": 75,
"timings": {
"dns": "2026-10-27T10:00:05Z",
"tcp": "2026-10-27T10:00:05Z",
"first_byte": "2026-10-27T10:00:05Z",
"total": "2026-10-27T10:00:05Z"
}
}
}